# Uses of Interface
org.eclipse.birt.report.model.api.simpleapi.IFilterCondition

Packages that use IFilterCondition
Package
Description
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of IFilterCondition in org.eclipse.birt.report.model.api.extension

Methods in org.eclipse.birt.report.model.api.extension that return IFilterCondition
Modifier and Type
Method
Description
`IFilterCondition[]`
MultiRowItem.`getFilterConditions()`
Methods in org.eclipse.birt.report.model.api.extension with parameters of type IFilterCondition
Modifier and Type
Method
Description
`void`
MultiRowItem.`addFilterCondition(IFilterCondition condition)`
`void`
MultiRowItem.`removeFilterCondition(IFilterCondition condition)`

## Uses of IFilterCondition in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl that return IFilterCondition
Modifier and Type
Method
Description
`IFilterCondition`
SimpleElementFactory.`createFilterCondition()`
Create `IFilterCondition`
`IFilterCondition`
SimpleElementFactory.`createFilterCondition(FilterCondition condition)`
`IFilterCondition`
SimpleElementFactory.`createFilterCondition(FilterConditionHandle handle)`

## Uses of IFilterCondition in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi that return IFilterCondition
Modifier and Type
Method
Description
`IFilterCondition`
IReportDesign.`createFilterCondition()`
Create `IFilterCondition`
`IFilterCondition`
ISimpleElementFactory.`createFilterCondition()`
Creates the filter structure.
`IFilterCondition`
ISimpleElementFactory.`createFilterCondition(FilterCondition condition)`
Creates the IFilterCondition instance.
`IFilterCondition`
ISimpleElementFactory.`createFilterCondition(FilterConditionHandle handle)`
Creates the IFilterCondition instance.
`IFilterCondition[]`
IMultiRowItem.`getFilterConditions()`
Returns all filter conditions
Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type IFilterCondition
Modifier and Type
Method
Description
`void`
IMultiRowItem.`addFilterCondition(IFilterCondition condition)`
Adds filter condition.expr of IFilterCondition is required.
`void`
IMultiRowItem.`removeFilterCondition(IFilterCondition condition)`
Removes filter condition.